# ScalaBasePlugin

abstract class ScalaBasePlugin : Plugin<T>

A Plugin which compiles and tests Scala sources.

#### See also

<a href="https://docs.gradle.org/current/userguide/scala_plugin.html">Scala plugin reference</a>

## Constructors

ScalaBasePlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory, jvmPluginServices: JvmPluginServices, dependencyFactory: DependencyFactory)

## Properties

DEFAULT_ZINC_VERSION
Link copied to clipboard
val DEFAULT_ZINC_VERSION: String = "1.10.4"
Default Scala Zinc compiler version
SCALA_COMPILER_PLUGINS_CONFIGURATION_NAME
Link copied to clipboard
val SCALA_COMPILER_PLUGINS_CONFIGURATION_NAME: String = "scalaCompilerPlugins"
Configuration for scala compiler plugins.
SCALA_RUNTIME_EXTENSION_NAME
Link copied to clipboard
val SCALA_RUNTIME_EXTENSION_NAME: String = "scalaRuntime"
ZINC_CONFIGURATION_NAME
Link copied to clipboard
val ZINC_CONFIGURATION_NAME: String = "zinc"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)